On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/reporting/dataapiserv/balance-net-activity/readList balances in the response at the date time provided, will return the last refreshed balance in the system when not provided.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])$10 <= length <= 10List balances in the response at the date time provided, will return the last refreshed balance in the system when not provided.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])$10 <= length <= 10To get the locale of the client.
^[a-zA-Z]{2}[-|_][a-zA-Z]{2}$5 <= length <= 10application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.paypal.com/v1/reporting/v1/reporting/get-balance-net-summary?from_date=stringstri&to_date=stringstri&locale=string"{
"last_refresh_date": "stringstri",
"reconciliation_passed": "true",
"balance_summary": {
"columns": [
"string"
],
"data": [
[
"string"
]
]
},
"net_activity": {
"currencies": [
"string"
],
"columns": [
"string"
],
"activities": [
{
"net_activity_sum": "string",
"fee_sum": "string",
"activity_details": [
[
"string"
]
]
}
]
}
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}